DELETE/schedule/

Delete Schedule

Delete schedule

DELETE/schedule/

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
ยป scheduleIdsbody[integer]OptionalList of schedule IDs to delete.

Responses

StatusMeaningDescriptionSchema
200OKOK - Schedules deleted successfully.
204No ContentNo ContentNone
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X DELETE https://api.events.example.com/api/v1/schedule/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "scheduleIds": []
}

Example responses

200 Response
{
  "message": "Schedule deleted successfully",
  "deletedScheduleIds": [
    123,
    456,
    789
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.